Page MenuHomePhabricator

bug: Adyen JPY transactions have different amounts in CIVI vs Adyen
Closed, ResolvedPublic2 Story Points

Description

Transaction 1814652997160240 is a test donation of 125 JPY, cid=15580017. When we went to refund at Adyen, the transaction amount there showed as 12500, and we inadvertently refunded the larger amount. At first I thought this to be a display error at their portal (no decimals) but Luke at Adyen responded:

JPY is a currency that has no minor units in practice, so the amount of the transaction as submitted to us in this case is actually 12500JPY. If your records indicate that the donation should be for 125JPY, then there may be a mismatch in the way your system is treating JPY versus more standard currencies. Can you have your developers check to see how they're handling non-standard currencies like JPY? Other relatively common currencies that lack minor units are KRW (Korean Won), CLP (Chilean Peso), and VND (Vietnamese Dong).

It looks like the same thing happened to 1814653038148723 and 1814655234138861, also from the same tester. Can we determine where this error occurs and make it so the amounts match?

Details

Related Gerrit Patches:

Event Timeline

MBeat33 created this task.Jun 10 2016, 11:11 PM
Restricted Application added subscribers: Zppix, revi, Aklapper. · View Herald TranscriptJun 10 2016, 11:11 PM
XenoRyet claimed this task.Jun 13 2016, 8:13 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Licking Cookies board.

@XenoRyet I have one more test donation to refund, which shows 125 JPY in Civi but 12500 JPY at the Adyen portal. Is it ok to refund 1814665233322648 now, though it will generate failmails in Civi, or is it better to wait until this task is done? Adyen may let me refund the smaller amount at their portal, but I imagine that might create a reconciliation error somewhere. Thank you

awight added a subscriber: awight.

There are two messages which are causing repeated failmails. Figure out where the information is coming from (listener, audit, or something internal?) and kill them manually. Notify donor services that we did so, and that they should manually enter the actual refund amounts into Civi.

@MBeat33 we think you should refund the test charge with the amount and tools in the Adyen portal.

thanks @DStrine I refunded this at Adyen for the full 12500.00 amount: payment 1814665233322648 with reference: 1414671459979123

Change 297106 had a related patch set uploaded (by XenoRyet):
Fix Handling of Curriencies Without Minor Units.

https://gerrit.wikimedia.org/r/297106

Change 297106 merged by jenkins-bot:
Fix Handling of Curriencies Without Minor Units or having Three Decimal Units.

https://gerrit.wikimedia.org/r/297106

Ejegg closed this task as Resolved.Jul 14 2016, 5:15 PM
Ejegg added a subscriber: Ejegg.

These have all had amounts corrected and have been refunded on the console and in Civi.

DStrine set the point value for this task to 2.Aug 3 2016, 5:56 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:49 PM